pysecurity: Add missing dependency on pytalloc-util.
[samba.git] / libcli / security / wscript_build
1 #!/usr/bin/env python
2
3
4 bld.SAMBA_LIBRARY('security',
5                   source='dom_sid.c display_sec.c secace.c secacl.c security_descriptor.c sddl.c privileges.c security_token.c access_check.c object_tree.c create_descriptor.c util_sid.c',
6                   private_library=True,
7                   deps='talloc ndr NDR_SECURITY'
8                   )
9
10 if getattr(bld.env, '_SAMBA_BUILD_', 0) == 4:
11     bld.SAMBA_PYTHON('pysecurity',
12                      source='pysecurity.c',
13                      deps='security pytalloc-util',
14                      realname='samba/security.so'
15                      )